bitset-base.hpp File Reference
`#include <climits>`

Go to the source code of this file.

## Classes

class | Gecode::Support::BitSetData
| Date item for bitsets. More...
class | Gecode::Support::RawBitSetBase
| Basic bitset support (without stored size information). More...
class | Gecode::Support::BitSetBase
| Basic bitset support. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures

## Enumerations

enum | Gecode::Support::BitSetStatus { Gecode::Support::BSS_NONE , Gecode::Support::BSS_ALL , Gecode::Support::BSS_SOME }
| Status of a bitset. More...